import java.io.File;
import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.io.FileOutputStream;
import java.io.OutputStreamWriter;
import java.io.PrintWriter;
import java.io.*;
import java.util.*;

public class make5tq
{
  public static void main( String[] args )
  {
    try {
      //
      // eLXgt@Cǂ݁AVectorɓ
      //
      File file = new File("input5tq.txt");
      BufferedReader b_reader = new BufferedReader(new InputStreamReader(new FileInputStream(file),"UTF-16"));
      Vector v = new Vector();
      {
        String s;
        int iNo = 0;
        Vector vMondaiKotae = new Vector();
        while( (s = b_reader.readLine())!=null ) {
          if( s.startsWith("#") ) continue;          // Rgs
  
          if(( iNo == 0 )&&( s.length() == 0 )) continue;  // ubN؂̋s͂r
  
          if( iNo == 0 ) {                           // 蕶
            vMondaiKotae = new Vector();
            vMondaiKotae.add(s);
          }
          if( iNo >= 1 && iNo <= 5 ) {               // PT
            vMondaiKotae.add(s);
          }
  
          iNo++;
          if( iNo >= 6 ) {
            v.add( vMondaiKotae );
            iNo = 0;
          }
        }
      }
      b_reader.close();
      //
      // MINIMUM.5TQoCi[t@C݁A萔Awb_[o
      //
      DataInputStream dataInStream = 
        new DataInputStream(
          new BufferedInputStream(
            new FileInputStream("MINIMUM.5TQ")));

      DataOutputStream dataOutStream = 
        new DataOutputStream(
          new BufferedOutputStream(
            new FileOutputStream("OUTPUT.5TQ")));

      byte[] bHeader = new byte[ 256*15 ];
      int readByte = 0;

      readByte = dataInStream.read(bHeader);
      
      dataInStream.close();

      int iSizeLow = v.size();
      int iSizeHigh = 0;
      if( v.size() > 255 ) {        // 2 byteɂȂ΂
         iSizeHigh = ( v.size() / 256 );
         iSizeLow  = ( v.size() % 256 );
      }
      bHeader[ 0x712 ] = (byte)iSizeLow;
      bHeader[ 0x713 ] = (byte)iSizeHigh;

      dataOutStream.write(bHeader, 0, readByte);

      //
      // 蕶 116byte,  28byte * 5 
      //
      for( int i=0; i < v.size(); i++ ) {
        Vector vMondaiKotae = (Vector) v.get(i);
        String sMondai = (String) vMondaiKotae.get(0);
        String sMondai2 = toZenkaku( sMondai );
        byte[] bMondaiData = sMondai2.getBytes("Shift_JIS");    // 蕶shift_jis byteɂ
        byte[] bMondaiOut = new byte[ 116 ];
        for( int j=0; j < 116; j++ ) bMondaiOut[j] = 0x20; // 炩space
        for( int k=0; k < bMondaiData.length; k++ ) {
          int i1 = bMondaiData[k];
          int i2 = ( i1 ^ 0x80 );    // XOR
          bMondaiOut[k] = (byte)i2;
        }
        dataOutStream.write(bMondaiOut, 0, 116);

        for( int iKotae=0; iKotae < 5; iKotae++ ) {     // PT
          String sKotae = (String) vMondaiKotae.get( iKotae+1 );
          String sKotae2 = toZenkaku( sKotae );
          byte[] b = sKotae2.getBytes("Shift_JIS");    // shift_jis byteɂ
          byte[] bKotae = new byte[ 28 ];
          for( int l=0; l < 28; l++ ) bKotae[l] = 0x20; // 炩space
          for( int k=0; k < b.length; k++ ) {
            int i1 = b[k];
            int i2 = ( i1 ^ 0x80 );    // XOR
            bKotae[k] = (byte)i2;
          }
          dataOutStream.write(bKotae, 0, 28);
        }
      }
      dataOutStream.close();

      // G[ꍇ́AX^bNg[Xo
    } catch(Exception e) {
      e.printStackTrace();
    }
  }
  public static String toZenkaku( String sIn ) {
    String sRet = new String();
    for( int i=0; i < sIn.length(); i++ ) {
      String sOne = sIn.substring( i, i+1 );
      char[] charArray = sOne.toCharArray();
      String sRetOne = toBigAsciiOne( charArray[0] );
      sRet += sRetOne;
    }
    return( sRet );
  }
  /**
   * p̂݁ApSpɕϊ.
   */
  public static String toBigAsciiOne( char code ) {
      switch( code ){
          case '!'   : return  "I" ;
          case '\"'  : return  "h" ;
          case '#'   : return  "" ;
          case '$'   : return  "" ;
          case '\\'  : return  "" ;
          case '%'   : return  "" ;
          case '&'   : return  "" ;
          case '\''  : return  "f" ;
          case '('   : return  "i" ;
          case ')'   : return  "j" ;
          case '*'   : return  "" ;
          case '+'   : return  "{" ;
          case ','   : return  "C" ;
          case '-'   : return  "|" ;
          case 0xff0d   : return  "|" ;  // ǉASp|΍
          case '.'   : return  "D" ;
          case '/'   : return  "^" ;
          case '0'   : return  "O" ;
          case '1'   : return  "P" ;
          case '2'   : return  "Q" ;
          case '3'   : return  "R" ;
          case '4'   : return  "S" ;
          case '5'   : return  "T" ;
          case '6'   : return  "U" ;
          case '7'   : return  "V" ;
          case '8'   : return  "W" ;
          case '9'   : return  "X" ;
          case ':'   : return  "F" ;
          case ';'   : return  "G" ;
          case '<'   : return  "" ;
          case '='   : return  "" ;
          case '>'   : return  "" ;
          case '?'   : return  "H" ;
          case '@'   : return  "" ;
          case 'A'   : return  "`" ;
          case 'B'   : return  "a" ;
          case 'C'   : return  "b" ;
          case 'D'   : return  "c" ;
          case 'E'   : return  "d" ;
          case 'F'   : return  "e" ;
          case 'G'   : return  "f" ;
          case 'H'   : return  "g" ;
          case 'I'   : return  "h" ;
          case 'J'   : return  "i" ;
          case 'K'   : return  "j" ;
          case 'L'   : return  "k" ;
          case 'M'   : return  "l" ;
          case 'N'   : return  "m" ;
          case 'O'   : return  "n" ;
          case 'P'   : return  "o" ;
          case 'Q'   : return  "p" ;
          case 'R'   : return  "q" ;
          case 'S'   : return  "r" ;
          case 'T'   : return  "s" ;
          case 'U'   : return  "t" ;
          case 'V'   : return  "u" ;
          case 'W'   : return  "v" ;
          case 'X'   : return  "w" ;
          case 'Y'   : return  "x" ;
          case 'Z'   : return  "y" ;
          case '^'   : return  "O" ;
          case '_'   : return  "Q" ;
          case '`'   : return  "e" ;
          case 'a'   : return  "" ;
          case 'b'   : return  "" ;
          case 'c'   : return  "" ;
          case 'd'   : return  "" ;
          case 'e'   : return  "" ;
          case 'f'   : return  "" ;
          case 'g'   : return  "" ;
          case 'h'   : return  "" ;
          case 'i'   : return  "" ;
          case 'j'   : return  "" ;
          case 'k'   : return  "" ;
          case 'l'   : return  "" ;
          case 'm'   : return  "" ;
          case 'n'   : return  "" ;
          case 'o'   : return  "" ;
          case 'p'   : return  "" ;
          case 'q'   : return  "" ;
          case 'r'   : return  "" ;
          case 's'   : return  "" ;
          case 't'   : return  "" ;
          case 'u'   : return  "" ;
          case 'v'   : return  "" ;
          case 'w'   : return  "" ;
          case 'x'   : return  "" ;
          case 'y'   : return  "" ;
          case 'z'   : return  "" ;
          case '{'   : return  "o" ;
          case '|'   : return  "b" ;
          case '}'   : return  "p" ;
          case ''   : return  "B" ;
          case ''   : return  "u" ;
          case ''   : return  "v" ;
          case ''   : return  "A" ;
          case ''   : return  "E" ;
          case ' '   : return  "@" ;
      }
      return new String( new char[]{ code } ) ;
  }
}

